Subject: Re: [PATCH] send-email: move validation code below process_address_list

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Oct 2023 22:04:15 +0900

Uwe Kleine-König <[email-masked]> writes:

>> This fixes email address validation errors when the optional
>> perl module Email::Valid is installed and multiple addresses are passed
>> in on a single to/cc argument like --to=[email-masked],[email-masked].
>> 
>> Reported-by: Bagas Sanjaya <[email-masked]>
>> Signed-off-by: Michael Strawbridge <[email-masked]>
>
> If you do Fixes: trailers as the kernel does, this could get:
>
> Fixes: a8022c5f7b67 ("send-email: expose header information to git-send-email's sendemail-validate hook")

While referring to a concrete commit object name is great, we tend
not to use that particular trailer in this project; rather, we
prefer to see description on how and in what way the culprit change
was undesirable.

> I tested this patch on top of main (2e8e77cbac8a) and it fixes the
> regression I reported in a separate thread (where Jeff pointed out this
> patch as fixing it).

Great.  Thanks.